Last Comment Bug 537377 - Port several bugfixes from toolkit viewSource.js
: Port several bugfixes from toolkit viewSource.js
Status: RESOLVED FIXED
compat-fx
:
Product: Core Graveyard
Classification: Graveyard
Component: View Source (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-31 05:42 PST by Philip Chee
Modified: 2010-06-29 00:36 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 (4.88 KB, patch)
2009-12-31 05:52 PST, Philip Chee
neil: review+
Details | Diff | Splinter Review
Patch v1.1 (bz unnitted) r=neil [Checkin: See comment 4] (3.39 KB, patch)
2010-01-01 00:26 PST, Philip Chee
philip.chee: review+
Details | Diff | Splinter Review

Description Philip Chee 2009-12-31 05:42:53 PST
Picking some 1.9.2 safe patches from:
http://hg.mozilla.org/releases/mozilla-1.9.2/log/7f85397aa446/toolkit/components/viewsource/content/viewSource.js

> Bug 469302 -  Page source code after form submit shows initial form page instead of new page
>   Bug 470357 -  view source window no longer reads from cache (does loads twice, broken for POST)

We don't have this bug but I think we should fix bz's nit in Bug 470357.

> Bug 480080 -  updateStatusBar not defined in gSelectionListener() in viewSource.js

This has been annoying me for ages since I use the Error Console + View Source frequently.

> Bug 425588 -  "Go to line" should always parse line number as decimal

This looks like a one line nobrainer.
Comment 1 Philip Chee 2009-12-31 05:52:32 PST
Created attachment 419676 [details] [diff] [review]
Patch v1.0

> -    .interlinePosition = true;	
> +    .interlinePosition = true;

I'm sorry but I just had to remove the trailing tab. It was driving me crazy.

No UI is touched so presumably sr isn't needed.
Comment 2 neil@parkwaycc.co.uk 2009-12-31 17:31:13 PST
Comment on attachment 419676 [details] [diff] [review]
Patch v1.0

Except for bz's nit, since I'm not convinced that I want things to be in an inconsistent state if things go wrong halfway through.
Comment 3 Philip Chee 2010-01-01 00:26:22 PST
Created attachment 419737 [details] [diff] [review]
Patch v1.1 (bz unnitted) r=neil
[Checkin: See comment 4]

> Except for bz's nit, since I'm not convinced that I want things to be in an
> inconsistent state if things go wrong halfway through.
OK. Removed the nit.
Comment 4 Serge Gautherie (:sgautherie) 2010-01-03 03:55:27 PST
Comment on attachment 419737 [details] [diff] [review]
Patch v1.1 (bz unnitted) r=neil
[Checkin: See comment 4]


http://hg.mozilla.org/comm-central/rev/fc273a034e2f
with fixed |.interlinePosition = true;| indentation.

Note You need to log in before you can comment on or make changes to this bug.